Subject: bug#17598: Emacs pretest 24.3.91 - AIX - SIGSEV when customize

From: Gilles PION <[email-masked]>
Date: Fri, 13 Jun 2014 17:56:42 +0200

> >> >Which GCC compiler are you using?  I am using 4.8.1, and it works 
for
> >> >me; see attached files.
> > 4.8.2, boostratpped on a AIX 6.1 Host
> 
> I'm afraid that does not work.  If you are using GCC on AIX 7.1, your 
> GCC must be built on AIX 7.1.  A GCC bootstrapped on AIX 6.1 will run on 

> AIX 7.1 but will generate incorrect code sometimes.  That appears to be 
> what's happening in your case, as the truss output contains lines like 
this:
> 
> 18809032: 42074209: 0.2175:        faccessat(-3041965, 
> "<<HOMEDIR>>/src/emacs/emacs-gcc-crashtest/emacs-24.3.91/src/lib-src", 
> 0, 4) Err#22 EINVAL
> 
> which means Emacs thinks AT_FDCWD equals -3041965, but this is wrong for 

> AIX 7.1: /usr/include/fcntl.h #defines AT_FDCWD to be -2.  Apparently 
> your GCC is incorrectly using fixincluded files from AIX 6.1 (which do 
> not define AT_FDCWD) and Emacs is therefore incorrectly falling back on 
> gnulib's definition of AT_FDCWD.
> 
> Bad fixincluded files would explain a lot of problems, including the 
> subshell problem you reported earlier, as well as the Xpm problems. 

I should be now able to bootstrap a new instance of GCC for aix7.1 since 
my colleague which administrate this machine have found some time to 
reinstall from scratch a working version of AIX xlc compiler.
Will try this next week.

> Possibly we were too hasty in suppressing Emacs's use of Xpm on AIX?

Maybe. 
I'll also try do make a test build adding "-with-xpm" to "configure" when 
the new version of the GCC compiler will be set up, and keep you informed 
of the results.

Regards, and have a nice week-end,
--
Gilles

                                                                   

. Si vous n'êtes pas destinataires de ce message, merci d'avertir
l'expéditeur de l'erreur de distribution et de le détruire
immédiatement.
Ce message contient des informations confidentielles ou appartenant
a La Française des Jeux. Il est établi a l'intention exclusive de
ses destinataires. Toute divulgation, utilisation, diffusion ou
reproduction (totale ou partielle) de ce message ou des
informations qu'il contient, doit être préalablement autorisée.
Tout message électronique est susceptible d'altération et son
intégrité ne peut etre assurée. La Française des Jeux décline toute
responsabilité au titre de ce message s'il a été modifie ou
falsifie.